Vim Cluster Vsan Vc Stretched Cluster System VSAN Is Witness Virtual Appliance

Vim Cluster Vsan Vc Stretched Cluster System VSAN Is Witness Virtual Appliance
Return whether the host is a virtual appliance witness host for stretched cluster Witness host can be a VM deployed from vSAN witness server OVF, the VM added to vCenter datacenter as a ESXi host, and has no difference with other ESXi host in a stretched cluster, but the VM host can only used as witness host, UI need to know if the witness host is a virtual appliance, using this API can tell the host is a virtual appliance or not.

Return whether the host is a virtual appliance witness host for stretched cluster Witness host can be a VM deployed from vSAN witness server OVF, the VM added to vCenter datacenter as a ESXi host, and has no difference with other ESXi host in a stretched cluster, but the VM host can only used as witness host, UI need to know if the witness host is a virtual appliance, using this API can tell the host is a virtual appliance or not.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VimClusterVsanVcStretchedClusterSystem/{moId}/VSANIsWitnessVirtualAppliance
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VimClusterVsanVcStretchedClusterSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VSANIsWitnessVirtualApplianceRequestType of type(s) application/json
Required

Show optional properties

{
    "hosts": [
        {}
    ]
}
{
    "hosts": [
        {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    ]
}
array of object
hosts
Required

Required privileges: System.Read

Authentication
This operation uses the following authentication methods.
Responses
200

dictionary of hosts' MO id and if the host is a virtual appliance

[
    {
        "_typeName": "string",
        "hostKey": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "isVirtualApp": false,
        "isDeployedFromOVF": false
    }
]
array of object
Optional

Info of a host system and if the host is a virtual appliance


500

VsanFault: If any unexpected runtime fault is met.

Returns VsanFault of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"hosts":["object"]}' https://{api_host}/sdk/vim25/{release}/vsan/VimClusterVsanVcStretchedClusterSystem/{moId}/VSANIsWitnessVirtualAppliance